> ## Documentation Index
> Fetch the complete documentation index at: https://docs.delivery-api.express.ci/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Register a webhook to be notified when the order status changes.



## OpenAPI

````yaml post /webhooks
openapi: 3.0.0
info:
  title: Webhook API
  description: API for managing webhooks
  version: 1.0.0
servers:
  - url: https://delivery-api.express.ci/
    description: Production server
security:
  - bearerAuth: []
paths:
  /webhooks:
    post:
      summary: Create Webhook
      description: Register a webhook to be notified when the order status changes.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookRequest'
      responses:
        '201':
          description: Webhook created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResponse'
components:
  schemas:
    WebhookRequest:
      type: object
      properties:
        url:
          type: string
          description: Fully qualified url of the webhook endpoint
          example: https://website.com/my_webhook_target
      required:
        - url
    WebhookResponse:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the webhook
          example: XPW202407291018430004
        url:
          type: string
          description: Fully qualified url of the webhook endpoint
          example: https://website.com/my_webhook_target
        createdAt:
          type: string
          format: date-time
          description: The creation timestamp of the webhook
          example: '2020-10-15T12:09:49.355Z'
        updatedAt:
          type: string
          format: date-time
          description: The last update timestamp of the webhook
          example: '2020-10-15T12:09:49.355Z'
      required:
        - id
        - url
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````